#include <fstream>
#include <iostream>
#include <memory>
#include <mpi.h>
#include <yaco/yaco.hpp>

using yaco::DataHandler;
using yaco::Grid;
using yaco::YacComponent;

int main(int argc, char** argv)
{
    int size = 0;
    int rank = 0;
    MPI_Init(0, NULL);
    MPI_Comm_rank(MPI_COMM_WORLD, &rank);
    MPI_Comm_size(MPI_COMM_WORLD, &size);
    std::cout << "Global Rank " << rank << " of " << size << std::endl;
    std::ofstream os("yaco_log.txt");
    yaco::config::Value config = yaco::config::Document::fromYaml("yaco.yml").value();
    YacComponent::createYac2Input(
            config.at("yac_input"),
            Grid::createHealpix("healpix_1", 1, Grid::HealpixScheme::ring),
            DataHandler::createDataLogger(
                    true,
                    os,
                    DataHandler::createFDBWriter(config.at("fdb_writer"))))
            ->run();
    std::cout << "Done" << std::endl;
    MPI_Finalize();
}
